<nb-card>
    <nb-card-header>Programa</nb-card-header>

    <nb-card-body>

        <div [formGroup]="formPrograma">

            <div class="form-row show-grid">
                <div class="input-group mb-3 col-11 col-sm-9 col-md-6 col-lg-3">
                    <div class="">
                        <span class="margin-t-l mb-1 col-4 text-right nonePadding"
                            [ngClass]="{ 'red-text': isSubmitted && formControlsPrograma.codigo.errors}" id="spanCodigo"
                            for="codigo">Código *</span>
                        <br>
                        <input name="codigo" #codigo nbInput formControlName="codigo" minlength="3" type="text"
                            id="codigo" class="form-control" aria-describedby="spanCodigo"
                            [ngClass]="{ 'is-invalid': isSubmitted && formControlsPrograma.codigo.errors, 'is-valid': isSubmitted && !formControlsPrograma.codigo.errors }">
                        <div *ngIf="isSubmitted && formControlsPrograma.codigo.errors"
                            class="help-block col-12 nonePadding">
                            <div *ngIf="formControlsPrograma.codigo.errors.required"> <small
                                    class="red-text form-text nonePadding text-right">El
                                    c&oacute;digo es requerido.</small></div>
                            <div *ngIf="formControlsPrograma.codigo.errors.minlength"> <small
                                    class="red-text form-text nonePadding text-right">El
                                    c&oacute;digo debe tener 3 caracteres como m&iacute;nimo.</small></div>
                        </div>
                    </div>

                </div>

                <div class="input-group mb-3 col-11 col-sm-9 col-md-6 col-lg-3">
                    <div class="">
                        <span [ngClass]="{ 'red-text': isSubmitted && formControlsPrograma.nombre.errors}"
                            class="margin-t-l mb-1 col-4 text-right nonePadding" id="spanNombre" for="nombre">Nombre *</span>
                        <br>
                        <input formControlName="nombre" type="text" nbInput id="nombre" class="form-control"
                            aria-describedby="spanNombre"
                            [ngClass]="{ 'is-invalid': isSubmitted && formControlsPrograma.nombre.errors, 'is-valid': isSubmitted && !formControlsPrograma.nombre.errors }">
                        <div *ngIf="isSubmitted && formControlsPrograma.nombre.errors"
                            class="help-block col-12 nonePadding">
                            <div *ngIf="formControlsPrograma.nombre.errors.required"> <small id="codigoHelp"
                                    class="red-text form-text nonePadding text-right">El
                                    Nombre es requerido.</small></div>
                        </div>
                    </div>


                </div>
                <div class="input-group mb-3 col-11 col-sm-9 col-md-6 col-lg-3">
                    <div class="">
                        <span [ngClass]="{ 'red-text': isSubmitted && formControlsPrograma.fechaInicio.errors}"
                            class="margin-t-l mb-1 col-4 text-right nonePadding" for="fechaInicio" id="spanFechaInicio">Fecha
                            Inicial *</span>
                        <br>
                        <input class="form-control" nbInput [nbDatepicker]="fechaInicio" (onchange)="updateDate()"
                            [(ngModel)]="datePickerFechaInicio" [formControl]="formControlsPrograma.fechaInicio"
                            aria-describedby="spanFechaInicio" [ngClass]="{ 'is-invalid': isSubmitted && formControlsPrograma.fechaInicio.errors, 
                                         'is-valid': isSubmitted && !formControlsPrograma.fechaInicio.errors }">
                        <nb-datepicker #fechaInicio [showHeader]="false" [min]="minFechaInicio"></nb-datepicker>

                        <div *ngIf="isSubmitted && formControlsPrograma.fechaInicio.errors"
                            class="help-block col-12 nonePadding">
                            <div *ngIf="formControlsPrograma.fechaInicio.errors.required"> <small id="codigoHelp"
                                    class="red-text form-text nonePadding text-right">El
                                    Fecha inicio es requerido.</small></div>
                        </div>
                    </div>


                </div>
                <div class="input-group mb-3 col-11 col-sm-9 col-md-6 col-lg-3">
                    <div>
                        <span class="margin-t-l mb-1 col-4 text-right nonePadding" for="fechaFinal" id="spanFechaFinal">Fecha
                            Final </span>

                        <br>
                        <input class="form-control" nbInput [nbDatepicker]="fechaFin"
                            [formControl]="formControlsPrograma.fechaFin" aria-describedby="spanfechaFin">
                        <nb-datepicker #fechaFin [showHeader]="false" [min]='datePickerFechaInicio'></nb-datepicker>

                    </div>


                </div>
            </div>

        </div>
    </nb-card-body>
</nb-card>